classification
Title: Remove _asyncio._init_module function
Type: enhancement Stage: resolved
Components: asyncio Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, methane, python-dev, yselivanov
Priority: normal Keywords: patch

Created on 2016-10-15 20:13 by methane, last changed 2016-10-18 02:49 by methane. This issue is now closed.

Files
File name Uploaded Description Edit
asyncio-speedup-refactoring.patch methane, 2016-10-15 20:13 review
asyncio-speedup-refactoring2.patch methane, 2016-10-17 02:53 review
Messages (3)
msg278731 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2016-10-15 20:13
_asyncio._init_module() looks ugly.
This patch imports external dependency when importing _asyncio.
msg278828 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-10-17 21:36
LGTM
msg278834 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-10-18 02:48
New changeset d32ec6591c49 by INADA Naoki in branch '3.6':
Issue #28452: Remove _asyncio._init_module function
https://hg.python.org/cpython/rev/d32ec6591c49

New changeset ce85a1f129e3 by INADA Naoki in branch 'default':
Issue #28452: Remove _asyncio._init_module function
https://hg.python.org/cpython/rev/ce85a1f129e3
History
Date User Action Args
2016-10-18 02:49:19methanesetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-10-18 02:48:50python-devsetnosy: + python-dev
messages: + msg278834
2016-10-17 21:36:12yselivanovsetmessages: + msg278828
2016-10-17 02:53:15methanesetfiles: + asyncio-speedup-refactoring2.patch
2016-10-15 20:13:30methanecreate